Изменение версии Java из Eclipse

Я написал проект в затмении со старой версией Java. Теперь на другом компьютере, но с теми же кодами, я получаю много красного цвета.

Это связано с несовместимостью версий. Я уже говорил, чтобы мой профессор изменил версию Java из окна консоли. Код скомпилирован очень хорошо после того, как он сделал это. Я уверен, что тот же случай с этим кодом.

Посмотрев другие учебники и ссылки Google, я смог найти только подходы командной строки и методы @override. Честно говоря, я до сих пор не понимаю этого.

Каков наилучший способ изменить версию кода, изначально написанного в более старом коде внутри консоли eclipse? Спасибо!

Ответы на вопрос(3)

свойства - & gt; компилятор Java - & gt; там вы можете указать версию JDK.

 03 мая 2012 г., 05:09
Также работает для стандартного Eclipse, он устанавливает требования к проекту в отличие от доступных компиляторов.

Window -> Preferences -> Java -> CompilerТам вы можете изменить версии Java. Надеюсь, поможет.

 03 мая 2012 г., 05:09
Это меняет то, какие компиляторы доступны. Чтобы изменить параметры уровня Java для проверки проекта, в Package / Project Explorer щелкните правой кнопкой мыши Project, выберите Properties и затем выберите Java Compiler.
 user132066803 мая 2012 г., 05:25
классно! это выглядит как правильный подход, но когда я изменяю его на версию 1.6 (с 1.7, как показано в исходных свойствах проекта) (РЕДАКТИРОВАТЬ: 1.7 не поддерживается на моем компьютере), большая часть кода не стала совместимой. в операторах импорта "java.awt" все еще подчеркивается, поэтому я знаю, что это не проблема кодирования. Переход от 1,7 до 1,6 невозможен? Я пытался заставить их всех работать на одной и той же версии, но у меня все та же проблема.
 user132066803 мая 2012 г., 05:47
исправление: я обновлю проект до 1.6, но когда вернусь к свойствам, он снова скажет 1.7. : /

если мы хотим иметь две разные версии Java [скажем, 1.6 и 1.7], тогда у нас должно быть два рабочих пространства, определенных соответствующим образом, чтобы избежать путаницы. Мы также можем изменить грани проекта, если у наших проектов есть грани.

В Eclipse выполните следующие шаги: 1) Windows - & gt; Настройки - & gt; Java - & gt; Компилятор и в соответствии с образом установить уровень компилятора соответствия в соответствии с вашими требованиями. Compiler Compliance Level Not Project Specific

2) Windows - & gt; Настройки - & gt; Java - & gt; Установите JRE и проверьте, доступен ли требуемый JRE / JDK или нет, как показано на рисунке ниже: Installed JRE's Not Project Specific

3) Щелкните правой кнопкой мыши на вашем проекте и перейдите в Java Build Path и проверьте, доступна ли необходимая вам библиотека или нет, как показано на рисунке ниже: Java Build Path Project Specific

4) Теперь вы можете отредактировать системную библиотеку JRE или добавить ее, нажав кнопку, доступную справа от последнего изображения, после чего откроется всплывающее окно, как показано ниже. Здесь вы можете изменить среду выполнения [также можно установить значения по умолчанию] Edit/Add Library

 24 сент. 2017 г., 22:15
Спасибо, это было то, что мне было нужно. Это также может помочь изменить использование JVM Eclipse на то, которое вы обновляете с помощьюeclipse.ini файл. Вы можете проверить, какую JVM использует ваш Eclipse, с помощью & quot; Справка - & gt; Сведения об установке - & gt; Конфигурация & Quot; и ищет-vm линия.

Ваш ответ на вопрос